package cn.com.qmth.stmms.common.utils;

import java.nio.charset.StandardCharsets;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class Md5EncryptUtils {

    /**
     * @param text - 明文
     * @return 密文
     */
    public static String md5(String text) {
        MessageDigest msgDigest = null;

        try {
            msgDigest = MessageDigest.getInstance("MD5");
        } catch (NoSuchAlgorithmException e) {
            throw new IllegalStateException("System doesn't support MD5 algorithm.");
        }

        try {
            msgDigest.update(text.getBytes(StandardCharsets.UTF_8)); // 按照utf-8编码形式加密

            byte[] bytes = msgDigest.digest();

            String md5Str = Encodes.encodeHex(bytes);

            msgDigest.update(md5Str.getBytes(StandardCharsets.UTF_8)); // 按照utf-8编码形式加密

            byte[] bytes1 = msgDigest.digest();

            return Encodes.encodeHex(bytes1);

        } catch (Exception e) {
            throw new IllegalStateException("Exception when Md5 make");
        }
    }

}
